% BER(Q) calculation
% Fig 5-29

Q = 0.1:.05:8; % Define Q range

ber1=0.5*erfc(Q/sqrt(2));  % Exact
ber2=exp(-Q.^2/2)./((sqrt(2*pi)*Q)); % Approximate

semilogy(Q,ber1,'r',Q,ber2,'b-.')
axis([0 8 1e-15 1])
grid on
xlabel('Q','FontSize',20)
ylabel('BER','FontSize',20)